# Get page links

<div class="op-path-box"><span class="op-http-method-get">GET</span> /v3/web-audits/<span class="op-path-parameter">{auditId}</span>/runs/<span class="op-path-parameter">{runId}</span>/pages/<span class="op-path-parameter">{pageId}</span>/links/<span class="op-path-parameter">{linkDirection}</span></div>
Get up to 1000 page links with specified direction (from/to this page), use `downloadPageLinks` to get all items

Endpoint: GET /v3/web-audits/{auditId}/runs/{runId}/pages/{pageId}/links/{linkDirection}
Security: API_Key

## Path parameters:

  - `auditId` (integer, required)
    Unique identification number for web audit

  - `runId` (integer, required)
    Unique identification number for web audit or journey run

  - `pageId` (string, required)
    Unique identification number for web audit run-page, it is different from dcUUID

  - `linkDirection` (string, required)

## Query parameters:

  - `options` (array)
    Applicable to links from this page

  - `thisUrlType` (string)
    Applicable to links to this page.
- missing - links pointing to either initial or final url
- `initial` - links pointing to initial url,
- `final` - links pointing to final url, if there was no redirect, final url will be the the same as initial

## Response 200 fields (application/json):

  - `links` (array, required)

  - `links.initial_page_url` (string, required)
    URL initially opened by engine

  - `links.initial_page_status_code` (integer, required)
    Initial status code observed by engine

  - `links.final_page_url` (string, required)
    Final URL after all redirects. If no redirects, equal to `initial_page_url`

  - `links.final_page_status_code` (integer, required)
    Final status code observed by engine after all redirects. If no redirects, equal to `initial_page_status_code`

  - `links.page_linked_from_url` (string, required)
    URL of another page that has link to this page

  - `links.outer_html` (string, required)
    Example: <a href='https://www.iana.org/domains/example'>More information...</a>

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

